### Function

# FwupdPlugin Firmware flags_to_string

#### Declaration [src]

    gchar*
    fu_firmware_flags_to_string (
      FuFirmwareFlags val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val` | `FuFirmwareFlags`
| Value, e.g. `FU_FIRMWARE_FLAG_DEDUPE_ID`.

#### Return value

Returns: | `gchar*`
| Identifier string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.